[19.10 FEAT] Enhanced CPU-MF hardware counters - kernel part

Bug #1834201 reported by bugproxy on 2019-06-25
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Frank Heimes
linux (Ubuntu)
Undecided
Frank Heimes

Bug Description

Enhance the CPU-MF hardware counters for improved HW support

Enable customers and IBM service to monitor and analyze the performance using improved hardware counters.

Will be provided with kernel 5.2

bugproxy (bugproxy) on 2019-06-25
tags: added: architecture-s39064 bugnameltc-177868 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

Please provide a commit id, so I can double check if it's in.
Setting this LP ticket to Incomplete until kernel 5.2 has landed in Eoan.

Changed in ubuntu-z-systems:
importance: Undecided → High
assignee: nobody → Frank Heimes (frank-heimes)
status: New → Incomplete
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Frank Heimes (frank-heimes)

------- Comment From <email address hidden> 2019-07-10 08:10 EDT-------
git commit for kernel 5.2
https://github.com/torvalds/linux/commit/46a984ffb8

Frank Heimes (frank-heimes) wrote :

$ rmadison --arch=s390x linux-generic | grep eoan-proposed
 linux-generic | 5.2.0.8.9 | eoan-proposed | s390x
$ git tag --contains 46a984ffb8
Ubuntu-5.2.0-8.9
v5.2
$ git show 46a984ffb8
commit 46a984ffb86c8542fa510656fa8cb33befe8ee8f
Author: Thomas Richter <email address hidden>
Date: Thu Mar 28 11:21:47 2019 +0100

    s390/cpum_cf: Add support for CPU-MF SVN 6

    Add support for the CPU-Measurement Facility counter
    second version number 6. This number is used to detect some
    more counters in the crypto counter set and the extended
    counter set.

    Signed-off-by: Thomas Richter <email address hidden>
    Reviewed-by: Hendrik Brueckner <email address hidden>
    Signed-off-by: Martin Schwidefsky <email address hidden>

With that changing status to Fix Committed.

information type: Private → Public
Changed in linux (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Frank Heimes (frank-heimes) wrote :

Since kernel 5.2 eventually landed in eoan's release pocket:
  linux-generic | 5.2.0.8.9 | eoan | s390
I'm changing this LP ticket to Fix Released.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-07-16 08:59 EDT-------
IBM Bugzilla status -> closed, Fix Released with Eoan

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers